apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: expedience-api-ingress
  namespace: expedience
  annotations:
    kubernetes.io/ingress.class: "nginx"
    cert-manager.io/cluster-issuer: letsencrypt-prod
    nginx.ingress.kubernetes.io/proxy-redirect-from-ssl: "true"
spec:
  tls:
  - hosts:
    - expedience-api.ilitirit.net
    secretName: expedience-api-certificate
  rules:
  - host: expedience-api.ilitirit.net
    http:
      paths:
      - pathType: ImplementationSpecific
        backend:
          service:
            name: expedience-api-service
            port:
              number: 80
